%define snapshot 0
%define pre rc

%ifarch %{arm}
%define build_docs 0
%else
%define build_docs 1
%endif

%define qtmajor 5
%define qtminor 9
%define qtsubminor 4

%define rel 1

%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define libqtserialport %mklibname qt5serialport %qtmajor
%define libqtserialport_d %mklibname qt5serialport -d

%if %snapshot
%define qttarballdir qtserialport-opensource-src-%{qtversion}-%pre
%else
%define qttarballdir qtserialport-opensource-src-%{qtversion}
%endif

Name: qtserialport5
Version: %{qtversion}
Release: %mkrel %{rel}
Summary: Qt Serialport component
Group: Development/KDE and Qt
License: LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL: http://www.qt.io
Source0: http://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
BuildRequires: qtbase5-devel >= %{version}
BuildRequires: pkgconfig(libudev)

#Branch Patchs

#Trunk Patchs

#Patch from Mageia

%description
Qt5 Serialport component.

#------------------------------------------------------------------------------

%if %{build_docs}
%package doc
Summary: QtSerialport%{qtmajor} APIs and tools docs
Group:   Documentation
BuildArch: noarch
BuildRequires: qttools5
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires: qttools5-assistant
Recommends: qttools5-assistant

%description doc
Documentation for APIs and tools in QtSerialport5 package for use with
Qt Assistant.

%files doc
%{_qt5_docdir}/qtserialport.qch
%{_qt5_docdir}/qtserialport/
%endif

#------------------------------------------------------------------------------

%package -n %{libqtserialport}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries

%description -n %{libqtserialport}
Qt%{qtmajor} Component Library.

Qt Serial Port provides the basic functionality, which includes configuring,
I/O operations, getting and setting the control signals of the RS-232 pinouts.

%files -n %{libqtserialport}
%{_qt5_libdir}/libQt5SerialPort.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqtserialport_d}
Summary: Devel files needed to build apps based on QtSerialport
Group: Development/KDE and Qt
Requires: %{libqtserialport} = %version
Provides: libqtserialport5-devel = %version
Provides: libqt5serialport-devel = %version
Provides: qtserialport5-devel = %version
Provides: qt5serialport-devel = %version

Provides: libqtserialport5-private-devel = %version
Provides: libqt5serialport-private-devel = %version
Provides: qtserialport5-private-devel = %version
Provides: qt5serialport-private-devel = %version

%description -n %{libqtserialport_d}
Devel files needed to build apps based on Qt Serialport.

%files -n %{libqtserialport_d}
%{_qt5_libdir}/libQt5SerialPort.prl
%{_qt5_libdir}/libQt5SerialPort.so
%{_qt5_libdir}/pkgconfig/Qt5SerialPort.pc
%{_qt5_libdir}/cmake/Qt5SerialPort
%{_qt5_datadir}/mkspecs/modules/qt_lib_serialport.pri
%{_qt5_includedir}/QtSerialPort
%{_qt5_datadir}/mkspecs/modules/qt_lib_serialport_private.pri
%{_qt5_examplesdir}/serialport

#------------------------------------------------------------------------------

%prep
%setup -q -n qtserialport-opensource-src-%{qtversion}

%build
%qmake_qt5
%make_build

%if %{build_docs}
%__make docs
%endif

%install
%make_install INSTALL_ROOT=%{buildroot}

%if %{build_docs}
%make_install install_docs INSTALL_ROOT=%{buildroot}
%endif

# .la and .a files, die, die, die.
find %{buildroot} -name '*.la' -delete


%changelog
* Wed Feb 28 2018 neoclust <neoclust> 5.9.4-1.mga6
  (not released yet)
+ Revision: 1205715
- New version 5.9.4
- New version 5.9.3
- New version 5.6.3

* Thu Nov 03 2016 neoclust <neoclust> 5.6.2-1.mga6
+ Revision: 1064866
- New version 5.6.2

* Fri Sep 02 2016 daviddavid <daviddavid> 5.6.1-3.mga6
+ Revision: 1049791
- build missing docs part (mga#9812)
- add qtserialport5-doc subpackage

* Sun Jul 03 2016 neoclust <neoclust> 5.6.1-2.mga6
+ Revision: 1038381
- Update to version 5.6.1-1
- New version

* Thu Mar 17 2016 neoclust <neoclust> 5.6.0-1.mga6
+ Revision: 992498
+ rebuild (emptylog)

* Wed Mar 09 2016 neoclust <neoclust> 5.6.0-0.rc.2.mga6
+ Revision: 987783
- Rebuild Qt5 Stack to fix plasma crashes

* Sun Feb 28 2016 neoclust <neoclust> 5.6.0-0.rc.1.mga6
+ Revision: 980617
+ rebuild (emptylog)

* Sun Dec 27 2015 neoclust <neoclust> 5.6.0-0.beta.4.mga6
+ Revision: 915941
- Rebuild against new cmake to have cmake() provides

* Sun Dec 27 2015 neoclust <neoclust> 5.6.0-0.beta.3.mga6
+ Revision: 915803
- Rebuild against new cmake to have cmake() provides

* Mon Dec 21 2015 neoclust <neoclust> 5.6.0-0.beta.2.mga6
+ Revision: 912757
- Remove private devel packages

* Fri Dec 18 2015 neoclust <neoclust> 5.6.0-0.beta.1.mga6
+ Revision: 911701
- New version 5.6.0 Beta

* Tue Nov 10 2015 neoclust <neoclust> 5.5.1-3.mga6
+ Revision: 900360
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 5.5.1-2.mga6
+ Revision: 900338
- Rebuild against fixed qtbase5

* Fri Oct 23 2015 neoclust <neoclust> 5.5.1-1.mga6
+ Revision: 894502
- New version

* Sun Jul 12 2015 filipesaraiva <filipesaraiva> 5.5.0-1.mga6
+ Revision: 853386
- Update to Qt 5.5.0 version;
- Fix URL to new address qt.io;

* Tue Jun 23 2015 neoclust <neoclust> 5.5.0-0.rc.1.mga6
+ Revision: 840022
- New version 5.5 rc

* Sun Dec 07 2014 neoclust <neoclust> 5.3.2-1.mga5
+ Revision: 801813
- New version 5.3.2

* Wed Oct 15 2014 umeabot <umeabot> 5.3.1-3.mga5
+ Revision: 745772
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.3.1-2.mga5
+ Revision: 688558
- Mageia 5 Mass Rebuild

* Thu Jun 26 2014 fwang <fwang> 5.3.1-1.mga5
+ Revision: 639786
- 5.3.1

* Tue May 20 2014 fwang <fwang> 5.3.0-1.mga5
+ Revision: 624105
- 5.3.0 final

* Fri May 09 2014 fwang <fwang> 5.3.0-0.rc.1.mga5
+ Revision: 621481
- 5.3.0RC

* Mon Apr 07 2014 fwang <fwang> 5.3.0-0.beta.1.mga5
+ Revision: 612668
- 5.3.0beta

* Mon Mar 03 2014 neoclust <neoclust> 5.3.0-0.alpha.1.mga5
+ Revision: 598931
- New version

* Mon Feb 17 2014 fwang <fwang> 5.2.1-2.mga5
+ Revision: 593314
- fix libpkgname

* Mon Feb 17 2014 fwang <fwang> 5.2.1-1.mga5
+ Revision: 593310
- update file list
- update file list
- update file list
- imported package qtserialport5

